1. unfaced's Avatar
    I have a 2g. I've had it working fine for 6 months now. I've upgraded all the firmwares with QuickPwn. Never had any issues. Today I decide to do the 2.2.1 upgrade and used the current QuickPwn, followed all the steps right, did it just like I did all the other times. Only now it says, "Different SIM detected - Please connect to iTunes".

    What am I doing wrong???

    I really need my phone.
    2009-04-18 06:03 AM
  2. IvanPK's Avatar
    I think you lose the unlock when you upgrade because it changes the Modem Firmware, and they can't unlock the 2.2.1.
    2009-04-18 06:31 AM
  3. unfaced's Avatar
    Okay then how do I fix it?
    2009-04-18 06:33 AM
  4. IvanPK's Avatar
    Well, upgrading to 2.2.1 kinda screwed you over... its not unlockable with that new modem firmware. Go to settings->general->about and under modem firmware, if it says 2.30.03 then it can't be unlocked yet, the upgrade blocked that.

    I think your only option is to buy a separate SIM add-on thing, something called TurboSIM? I'm not entirely sure... sorry mate.

    I found this when googling, Unlock iPhone 3G v2.2.1 Rebel Turbo Sim - Unlock iPhone 3G 02.30.03- Unlock version v2.2.1.

    I'd look around for a 'Rebel Turbo SIM' that works with the 2.30.03 firmware. Either buy one from that website or ebay, you just put your SIM card into it, then into the phone, no software stuff has to be done I believe.
    2009-04-18 06:50 AM
  5. unfaced's Avatar
    What if I have a 2g not a 3g?
    2009-04-18 06:57 AM
  6. IvanPK's Avatar
    What if I have a 2g not a 3g?
    I don't think the 2G got updated with the Modem Firmware with that new update. Just make sure you are using the latest version of QuickPWN, and I guess restore the phone using iTunes, and try jailbreaking and unlocking with Quickpwn again? Hope it works dude, actually the fact that you have a 2G vs a 3G makes it a lot easier on your part I believe. And now you don't have to buy that TurboSIM.
    2009-04-18 07:02 AM
  7. unfaced's Avatar
    Thanks. I'll try my best!

    It's alive ALIIIIIIIVE!!!!!!!!! Mmmmwwhhhhahahahahahahahaahhaha

    Thank you SO much! I followed advice from a link about restoring in DFU mode along with your advice.

    So I did the restore in DFU and then QuickPwn'd it back to 2.2

    AND IT WORKS!!!! =)
    Last edited by unfaced; 2009-04-18 at 07:23 AM. Reason: Automerged Doublepost
    2009-04-18 07:23 AM
  8. confucious's Avatar
    You really shouldn't have a problem with 2.2.1 ion a 2G iPhone
    He who asks a question looks foolish for 5 minutes. He who doesn't ask a question remains foolish forever.
    2009-04-18 12:03 PM
  9. IvanPK's Avatar
    Yeah you can update to 2.2.1 if you want, the only problems it has with unlocking is on a 3G phone because it updates the modem firmware. 2G is fine. But since it's working, why bother haha. 2.2.1 doesn't give you any new features.
    2009-04-18 05:21 PM
LINK TO POST COPIED TO CLIPBOARD